package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/** 移库
 * @Description  
 * @Date 2021-03-27 
 */

@ApiModel
@Table ( value ="wms_waves_item_move_list" )
public class WavesItemMoveList implements Serializable {
	private static final long serialVersionUID =  5778965281539548861L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "移动ID") 
	@Column(value = "pick_move_id")
	private String pickMoveId;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "enterprise_id")
	private String enterpriseId;

	@ApiModelProperty(value = "货主ID") 
	@Column(value = "cargo_owner_id")
	private String cargoOwnerId;

	@ApiModelProperty(value = "波次ID") 
	@Column(value = "waves_id")
	private String wavesId;

	@ApiModelProperty(value = "波次ID") 
	@Column(value = "waves_group_id")
	private String wavesGroupId;

	@ApiModelProperty(value = "日期")
	@Column(value = "picking_date")
	private Date pickingDate;

	@ApiModelProperty(value = "来源行类型") 
	@Column(value = "source_type")
	private String sourceType;

	@ApiModelProperty(value = "来源单ID(冗余，暂时不用)") 
	@Column(value = "source_header_ids")
	private String sourceHeaderIds;

	@ApiModelProperty(value = "商品ID") 
	@Column(value = "item_id")
	private String itemId;

	@ApiModelProperty(value = "批次ID") 
	@Column(value = "batch_id")
	private String batchId;

	@ApiModelProperty(value = "WMS系统批次号") 
	@Column(value = "batch_num")
	private String batchNum;

	@ApiModelProperty(value = "生产商批号") 
	@Column(value = "manufacturer_lot_num")
	private String manufacturerLotNum;

	@ApiModelProperty(value = "最小单位数量") 
	@Column(value = "piece_quantity")
	private BigDecimal pieceQuantity;

	@ApiModelProperty(value = "效期") 
	@Column(value = "expired_date")
	private Date expiredDate;

	@ApiModelProperty(value = "生产日期") 
	@Column(value = "production_date")
	private Date productionDate;

	@ApiModelProperty(value = "保质期天数") 
	@Column(value = "shelf_life_days")
	private BigDecimal shelfLifeDays;

	@ApiModelProperty(value = "整件数") 
	@Column(value = "odd_case_quantity")
	private BigDecimal oddCaseQuantity;

	@ApiModelProperty(value = "零散数") 
	@Column(value = "odd_piece_quantity")
	private BigDecimal oddPieceQuantity;

	@ApiModelProperty(value = "商品编码（冗余）") 
	@Column(value = "item_num")
	private String itemNum;

	@ApiModelProperty(value = "商品名称（冗余）") 
	@Column(value = "item_name")
	private String itemName;

	@ApiModelProperty(value = "最大单位（冗余）") 
	@Column(value = "case_uom")
	private String caseUom;

	@ApiModelProperty(value = "最大单位包装含量（冗余）") 
	@Column(value = "case_conversion_rate")
	private BigDecimal caseConversionRate;

	@ApiModelProperty(value = "源库位") 
	@Column(value = "src_warehouse_locator_id")
	private String srcWarehouseLocatorId;

	@ApiModelProperty(value = "源库位") 
	@Column(value = "src_warehouse_locator_num")
	private String srcWarehouseLocatorNum;

	@ApiModelProperty(value = "库区（冗余字段）") 
	@Column(value = "src_warehouse_area_id")
	private String srcWarehouseAreaId;

	@ApiModelProperty(value = "库区编码（冗余字段）") 
	@Column(value = "src_warehouse_area_num")
	private String srcWarehouseAreaNum;

	@ApiModelProperty(value = "库位类型（整件/散件/整散合一）（冗余字段）") 
	@Column(value = "src_warehouse_locator_type")
	private String srcWarehouseLocatorType;

	@ApiModelProperty(value = "目标库位") 
	@Column(value = "dest_warehouse_locator_id")
	private String destWarehouseLocatorId;

	@ApiModelProperty(value = "库位类型（整件/散件/整散合一）（冗余字段）") 
	@Column(value = "dest_warehouse_locator_type")
	private String destWarehouseLocatorType;

	@ApiModelProperty(value = "库区（冗余字段）") 
	@Column(value = "dest_warehouse_area_id")
	private String destWarehouseAreaId;

	@ApiModelProperty(value = "库区编码（冗余字段）") 
	@Column(value = "dest_warehouse_area_num")
	private String destWarehouseAreaNum;

	@ApiModelProperty(value = "补货规则（策略）") 
	@Column(value = "pick_rule")
	private String pickRule;

	@Column(value = "comments")
	private String comments;

	@Column(value = "segment1")
	private String segment1;

	@Column(value = "segment2")
	private String segment2;

	@Column(value = "segment3")
	private String segment3;

	@Column(value = "segment4")
	private String segment4;

	@Column(value = "segment5")
	private String segment5;

	@ApiModelProperty(value = "修改时间") 
	@Column(value = "gmt_modified")
	private Date gmtModified;

	@ApiModelProperty(value = "修改人ID") 
	@Column(value = "modifier")
	private String modifier;

	@ApiModelProperty(value = "修改人名称") 
	@Column(value = "modifier_name")
	private String modifierName;

	@ApiModelProperty(value = "状态（是否紧急补货）") 
	@Column(value = "status")
	private String status;


	public String getPickMoveId() {
		return this.pickMoveId;
	}

	public void setPickMoveId(String pickMoveId) {
		this.pickMoveId = pickMoveId;
	}

	public String getEnterpriseId() {
		return this.enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getCargoOwnerId() {
		return this.cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getWavesId() {
		return this.wavesId;
	}

	public void setWavesId(String wavesId) {
		this.wavesId = wavesId;
	}

	public String getWavesGroupId() {
		return this.wavesGroupId;
	}

	public void setWavesGroupId(String wavesGroupId) {
		this.wavesGroupId = wavesGroupId;
	}

	public Date getPickingDate() {
		return this.pickingDate;
	}

	public void setPickingDate(Date pickingDate) {
		this.pickingDate = pickingDate;
	}

	public String getSourceType() {
		return this.sourceType;
	}

	public void setSourceType(String sourceType) {
		this.sourceType = sourceType;
	}

	public String getSourceHeaderIds() {
		return this.sourceHeaderIds;
	}

	public void setSourceHeaderIds(String sourceHeaderIds) {
		this.sourceHeaderIds = sourceHeaderIds;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchId() {
		return this.batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getBatchNum() {
		return this.batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getManufacturerLotNum() {
		return this.manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public BigDecimal getPieceQuantity() {
		return this.pieceQuantity;
	}

	public void setPieceQuantity(BigDecimal pieceQuantity) {
		this.pieceQuantity = pieceQuantity;
	}

	public Date getExpiredDate() {
		return this.expiredDate;
	}

	public void setExpiredDate(Date expiredDate) {
		this.expiredDate = expiredDate;
	}

	public Date getProductionDate() {
		return this.productionDate;
	}

	public void setProductionDate(Date productionDate) {
		this.productionDate = productionDate;
	}

	public BigDecimal getShelfLifeDays() {
		return this.shelfLifeDays;
	}

	public void setShelfLifeDays(BigDecimal shelfLifeDays) {
		this.shelfLifeDays = shelfLifeDays;
	}

	public BigDecimal getOddCaseQuantity() {
		return this.oddCaseQuantity;
	}

	public void setOddCaseQuantity(BigDecimal oddCaseQuantity) {
		this.oddCaseQuantity = oddCaseQuantity;
	}

	public BigDecimal getOddPieceQuantity() {
		return this.oddPieceQuantity;
	}

	public void setOddPieceQuantity(BigDecimal oddPieceQuantity) {
		this.oddPieceQuantity = oddPieceQuantity;
	}

	public String getItemNum() {
		return this.itemNum;
	}

	public void setItemNum(String itemNum) {
		this.itemNum = itemNum;
	}

	public String getItemName() {
		return this.itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getCaseUom() {
		return this.caseUom;
	}

	public void setCaseUom(String caseUom) {
		this.caseUom = caseUom;
	}

	public BigDecimal getCaseConversionRate() {
		return this.caseConversionRate;
	}

	public void setCaseConversionRate(BigDecimal caseConversionRate) {
		this.caseConversionRate = caseConversionRate;
	}

	public String getSrcWarehouseLocatorId() {
		return this.srcWarehouseLocatorId;
	}

	public void setSrcWarehouseLocatorId(String srcWarehouseLocatorId) {
		this.srcWarehouseLocatorId = srcWarehouseLocatorId;
	}

	public String getSrcWarehouseLocatorNum() {
		return this.srcWarehouseLocatorNum;
	}

	public void setSrcWarehouseLocatorNum(String srcWarehouseLocatorNum) {
		this.srcWarehouseLocatorNum = srcWarehouseLocatorNum;
	}

	public String getSrcWarehouseAreaId() {
		return this.srcWarehouseAreaId;
	}

	public void setSrcWarehouseAreaId(String srcWarehouseAreaId) {
		this.srcWarehouseAreaId = srcWarehouseAreaId;
	}

	public String getSrcWarehouseAreaNum() {
		return this.srcWarehouseAreaNum;
	}

	public void setSrcWarehouseAreaNum(String srcWarehouseAreaNum) {
		this.srcWarehouseAreaNum = srcWarehouseAreaNum;
	}

	public String getSrcWarehouseLocatorType() {
		return this.srcWarehouseLocatorType;
	}

	public void setSrcWarehouseLocatorType(String srcWarehouseLocatorType) {
		this.srcWarehouseLocatorType = srcWarehouseLocatorType;
	}

	public String getDestWarehouseLocatorId() {
		return this.destWarehouseLocatorId;
	}

	public void setDestWarehouseLocatorId(String destWarehouseLocatorId) {
		this.destWarehouseLocatorId = destWarehouseLocatorId;
	}

	public String getDestWarehouseLocatorType() {
		return this.destWarehouseLocatorType;
	}

	public void setDestWarehouseLocatorType(String destWarehouseLocatorType) {
		this.destWarehouseLocatorType = destWarehouseLocatorType;
	}

	public String getDestWarehouseAreaId() {
		return this.destWarehouseAreaId;
	}

	public void setDestWarehouseAreaId(String destWarehouseAreaId) {
		this.destWarehouseAreaId = destWarehouseAreaId;
	}

	public String getDestWarehouseAreaNum() {
		return this.destWarehouseAreaNum;
	}

	public void setDestWarehouseAreaNum(String destWarehouseAreaNum) {
		this.destWarehouseAreaNum = destWarehouseAreaNum;
	}

	public String getPickRule() {
		return this.pickRule;
	}

	public void setPickRule(String pickRule) {
		this.pickRule = pickRule;
	}

	public String getComments() {
		return this.comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getSegment1() {
		return this.segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public String getSegment2() {
		return this.segment2;
	}

	public void setSegment2(String segment2) {
		this.segment2 = segment2;
	}

	public String getSegment3() {
		return this.segment3;
	}

	public void setSegment3(String segment3) {
		this.segment3 = segment3;
	}

	public String getSegment4() {
		return this.segment4;
	}

	public void setSegment4(String segment4) {
		this.segment4 = segment4;
	}

	public String getSegment5() {
		return this.segment5;
	}

	public void setSegment5(String segment5) {
		this.segment5 = segment5;
	}

	public Date getGmtModified() {
		return this.gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public String getModifier() {
		return this.modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getModifierName() {
		return this.modifierName;
	}

	public void setModifierName(String modifierName) {
		this.modifierName = modifierName;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

}
